Bug 433649 - login window configuration option missing
login window configuration option missing
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
12
All Linux
high Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Triaged
: 439881 474829 (view as bug list)
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2008-02-20 12:36 EST by Ray Todd Stevens
Modified: 2015-01-14 18:20 EST (History)
37 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 12:05:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 587750 None None None Never

  None (edit)
Description Ray Todd Stevens 2008-02-20 12:36:58 EST
I installed fc9-alpha and found the x windows login screen a bit weird.  For one
thing I was not sure about the "other" thing.   So I decided to see if I could
make the names disappear and have to login with a specified name each time
instead of a menu option.   Normally the thing to do things like this is in
system/administration/login window, but that menu option no longer seems to
exist and I can't seem to find any other way to even look at this.
Comment 1 Kevin DeKorte 2008-02-20 13:26:54 EST
gdmsetup appears to be missing from the gdm package, also the
/usr/share/gdm/defaults.conf is missing which leads to the weird login screen.
Comment 2 Matthias Clasen 2008-03-28 01:05:36 EDT
Yes, there is no gdmsetup at this point.
Comment 3 Matthias Clasen 2008-04-01 01:28:53 EDT
*** Bug 439881 has been marked as a duplicate of this bug. ***
Comment 4 Ray Todd Stevens 2008-04-23 16:38:31 EDT
Normally I would not do this, but production release  is so close and it doesn't
appear that this is fixed yet.   Is there something we can do to help get this
fixed?   Certainly this is something we need to have fixed in the production
release.   Most systems will not want a list of users on the screen.
Comment 5 Matthias Clasen 2008-05-08 18:05:14 EDT
Not so sure about your 'most systems' claim, but I've added a patch to rawhide
gdm which allows to disable the user list (ie only "Other" will ever show up).
That may appear in an F9 update at some point.
Comment 6 Ray Todd Stevens 2008-05-08 23:03:45 EDT
I will fully grant you that the "most systems" is an opinion, which is not
researched.

When will we be getting back the piece which allows you to program exactly what
the login window looks like?  You know system/administration/ login window

That is the real fix to this one.
Comment 7 Bug Zapper 2008-05-14 01:18:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Ray Todd Stevens 2008-05-26 19:04:31 EDT
Ok the release not only has this menu option removed, but it also removes it
from the system if it is there during an upgrade.   Also regardless of the login
setup you are using on a machine the upgrade changes this to the "standard".

This is definitely not good.  It is going to cause us some real problems.  
Several of our servers are on a KVM switch, and we insure that you looking at
the right one by having custom login screens with custom background images for
each one.
Comment 9 Gabriel M. Elder 2008-06-11 09:38:07 EDT
While I really do appreciate the heavy development work that has been occurring
with gdm, I must admit that I think this particular bug really does suck. A lot.
I can't even set up an automatic login to a desktop by manually editing
/etc/gdm/custom.conf. I see that the gdm rpm package includes
/etc/pam.d/gdm-autologin, but where's the documentation for how to use this? Is
this even relevant? Why should I have to spend the time monkeying around with
this AT ALL?

NOTE: Users - even _developer-users_ - do not like having features that they
have come to rely upon for their usefulness, removed.

What's the status of this? The priority on this needs to be bumped up a notch or
three. Is there an ETA for a fix?
Comment 10 Ray Todd Stevens 2008-06-17 11:01:05 EDT
I second this need for a quick fix for this.

Frankly I do consider the current mode AS A DEFAULT to be a great idea.   It
does mimic the windows world a bit, and for many people this is what they will
want.  Also those people who would need this setting would also be those least
able to reconfigure so it was the one active.  Those who would find the enter
user name password thing to be the best solution for their setup would also be
those most able to go in and change system settings.  So I can see this as the
default being the most workable solution. 

But we really do need the option to turn the user name list off.    If nothing
else the other needs to be at the top.   I have one system that I have to scroll
down about ten screens to get to this option.   Let us know if we can do
something to help make this happen.
Comment 11 dedded 2008-06-18 21:51:39 EDT
A hearty "me too" from this quarter, too.

This wouldn't have bothered me until recently.  I used to be the only one in the
family running on the Linux box.  As of Fedora 8, everyone does.

I haven't switched to Fedora 9 because of this bug.  The login selector shows
all my utility accounts (one for rsync, one on the f9 partition (not in /home),
etc) in addition to the personal ones, and I'm afraid it has an intimidating
look to it.  I don't want to scare everyone off before they're comfortable with
Linux.

Is there any status at all?  A pointer to an upstream bug?  Is a fix expected
before Fedora 10?

[For those seeking the 'other' entry, just start typing.  It accepts a typed
user name w/o clicking on 'other'.]
Comment 12 Ray Todd Stevens 2008-06-25 10:57:23 EDT
In looking at this I can see both sides.   Frankly I am not so sure but what the
way it is should be the default.   Maybe there needs to be an administration
menu option which lets you remove users from the list.   But I can see this
being a very useful form for trying to serve the needs of the larger user
community of people just using this as a simple computer.

But there are many of us with "power user needs".   We need the full
functionality which was gained through the themes, remote login, etc stuff.   It
seems like this certainly needs to be a standard installable option.   How about
an additional rpm that is installable as a option during the standard install or
later on that allows you to have this full functionality.   But then if it is
removed the removal script switches you back to this default mode.   This would
seem to meet everyone's requirements, and at the same time allow us to "market"
to a broader user base.

What does everyone else here think.  Would this solve your problems here?
Comment 13 Ian Collier 2008-07-18 10:41:39 EDT
Re comment 12 I think the problem is that it hasn't been written yet so the
question of how it's packaged is a red herring because there's nothing available
to be put into this hypothetical package.

Personally I have solved this issue by downgrading gdm to the version found in
Fedora 8 and adding gdm to yum's global excludes.  It seems to work so far.
Comment 14 Ray Todd Stevens 2008-07-18 10:54:54 EDT
Obviously if you can downgrade and make it work then it has been written.  ;-) 
The problem may be that it has not been written or compiled for the current rev
of gdm.

We need a solution that will work for both the power users who seem to be
flocking to this bug report, and also the novice users who will only be confused
by this.   That is what I am trying to suggest.
Comment 15 Ian Collier 2008-07-18 11:29:14 EDT
"The problem may be that it has not been written or compiled for the current rev
of gdm."

I think that's splitting hairs.  It appears that the F9 gdm greeter is a
completely rewritten app, and as such it cannot be customised because it is only
half finished.  The gdmsetup from F8 does not work on the F9 gdm greeter; that's
why I have downgraded the whole gdm package.
Comment 16 Ray Todd Stevens 2008-09-15 08:12:15 EDT
It is good to see this assigned.   Let us know what we need to do to help the assignee with this.
Comment 17 Bug Zapper 2008-11-25 21:07:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Jayson King 2008-11-28 19:52:29 EST
I've worked around this problem by using KDM instead of GDM. But now I am experiencing bug 473461...
Comment 19 Jayson King 2008-11-30 23:36:50 EST
Downgrading the gdm package to gdm-2.20.5-3.fc8.x86_64 also fixes the problem for me.
Comment 20 Ray Todd Stevens 2008-12-01 16:40:46 EST
This is definitely still a problem in 10.
Comment 21 Ian Collier 2008-12-02 11:21:02 EST
Yes it's still the same thing in F10; however, thanks to comment 5 you can now get rid of the user list in the login box (I don't think that patch has shown up in F9 yet, but it is definitely in F10).

I am assuming something like this is the "right" way to set it:

GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`

gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --set /apps/gdm/simple-greeter/disable_user_list --type bool TRUE
Comment 22 Jayson King 2008-12-09 16:27:34 EST
I tried the config setting in comment #21 with gdm-2.24.0-12.fc10.x86_64 and it appears to work, except:

1) Now there is no way to save your preferred session type when you login. It always defaults to "GNOME" even if you previously used something else.

2) The text "Other" still appears in the selector, it should go away.
Comment 23 Jayson King 2008-12-09 16:32:48 EST
(In reply to comment #22)
> 1) Now there is no way to save your preferred session type when you login. It
> always defaults to "GNOME" even if you previously used something else.

That is bug 449107
Comment 24 Ray Todd Stevens 2008-12-14 21:12:31 EST
Do we know when or if we are getting the full editing of the login setup back?
Comment 25 Ray Todd Stevens 2008-12-28 17:36:14 EST
One of the additional advantages of editing the login window settings is that you can change the background.   We use KVM switches and it helps to make sure you are working on the right machine if it is obviously different from the others.   So we also need the ability to edit the back ground graphic.
Comment 26 Ray Todd Stevens 2009-01-27 13:40:30 EST
I understand how the latest update has made the old gdmsetup no longer function.   It also looks like it might be a while before someone write a program to fix this.   How about meeting in the middle on this one.

It is highly apparent that it is possible with proper documentation to do this manually by editing the config files.  But the documentation on doing this seems to be spread out all over the internet.   How about coming up with a simple document on this issue and then for the time being reusing the gdmsetup program to display this documentation?
Comment 27 Ray Todd Stevens 2009-01-31 22:39:53 EST
In looking at this issue, I find it is not possible to do much of the functionality of the previous release under this release even with manual modification of the configuration files.   According to the GDM documentation site, it also looks like it might be quite a while before the current version reaches the level of functionality of the previous version.

I am wondering if there is not some wisdom in having some kind of a version selection on gdm until the current version reaches close to par in functionality of the old version.

I am especially worried about our actual redhat enterprise servers, which we have several of in order to support software that requires or recommends them.   While some of this functionality is nice and is basically optional on our fedora boxes we will be up a creek if we lose this much functionality with these units.
Comment 28 John Griffiths 2009-02-02 10:45:48 EST
From the standpoint of making a system more secure, a User List is just a bad thing.

It seems that Fedora is trying to be more Microsoft Windows like by becoming more convenient for the "know nothing to little" user at the expense of the power user. Even Microsoft's login is configurable to not have the users listed (classic login).

This is a very basic functionality that has been lost. I do not want a User List on the login screen and there seems to be no way of preventing the User List from displaying. The KDE Login Manager also no longer controls this configuration.
Comment 29 Ray Todd Stevens 2009-02-16 12:56:54 EST
Is it possible to back track on the gdm release and not break other things.  It is becoming highly apparent that the current release is just a minor subset of the previous release with much of the functionality removed, in some manner being called an upgrade.

Could maybe for fc11 there be an option to use the older version until the current version reaches some level of parity in functionality with the previous version?
Comment 30 Ray Todd Stevens 2009-04-02 13:56:49 EDT
This is still a problem in FC11 Beta.
Comment 31 Red Crayon 2009-04-02 22:20:42 EDT
This is so retarded.  Red Hat, are you listening?

What is the reason for this state of affairs?  It 
is so lame that this bug is just languishing for 
so long.  The greeter is the first thing we see.
Make a good impression on us, Red Hat.

This is NOT a minor thing.  This is a major big
deal.  You have changed the login screen and made
tweaking it really, really confusing.
Comment 32 Ray Todd Stevens 2009-04-09 13:03:26 EDT
Yeah this is pretty dumb.   In part it is not entirely a redhat problem through, but a problem upstream with the gdm people.  The problem is that the gdm system got rewritten and apparently the authors didn't seem to think that the ability to customize it was needed, or for that matter the ability to do cross sever xwindows management.    This product basically is kind of a prealpha level product added to a production environment and called an upgrade.   The solution really would be to go back to the previous still working version.

I in addition to mostly fedora systems, I do manage several redhat enterprise linix systems.  I absolutely have to have the functionality of the older version on these systems.   Presently the functionality is still there, but the ability to configure it in is not.   As soon as this goes away I will definitely have to look at my options for those servers.    

Someone up the chain of command needs to look at this one.   There really has been only negative progress on this new improved system since fc9.   Serious though should be put to using the older version of the greeter system as the "new current" one.   It actually works.   This one basically really doesn't
Comment 33 Ray Todd Stevens 2009-04-09 23:28:24 EDT
In reading the documentation on gdm, I find that over a year ago they started a "rewrite".   They fully admit that they have lost features.   They don't seem to understand how many, but they say that they have.   The also say that the 2.20 branch still has all of those features and that this is stable and will be maintained until the new version has all of the old features.

Given this, why is redhat not giving us the option of running the one that works for our needs?
Comment 34 Ray Todd Stevens 2009-04-13 16:46:22 EDT
Well they have given us back one thing.   YOU can now once again change the background for the login screen.   Go to "preferences", "look and feel", "appearance".   Then select "background"   Select a new background, and "make default".  This will effect any additional accounts, but  may effect those which have not changed from the default, but should not effect anyone else.

Wonder if we need a button here for "make long screen" until tghey can get around to adding these needed functions back into gdm.
Comment 35 Jack Deslippe 2009-04-27 17:41:03 EDT
I am so disappointed to see that the gdm still sucks in Fedora 11!  Why are we stuck with that windows 95 looking grey login box???  Why can't we easily customize the gdm.  People want/need to get rid of the user list in favor of adding a user name and password field.  Others simply want to skin the login box.  For 3 releases now it has been ugly, incomplete and frankly just crappy in comparison to the 2.20 gdm or today's kdm.  It makes Fedora look unpolished.
Comment 36 Jan "Yenya" Kasprzak 2009-04-28 04:24:50 EDT
I would even volunteer to package gdm-2.20 as an alternative to the current crap, provided that Fedora is willing to accept an alternative package.

[ as a side note: we had to switch to kdm in our computer lab, and I had to switch to xdm for my dual-seat desktop. Current gdm (as of > 2.20) is pretty
unusable for anything but a single-user desktop (and even then it lacks autologin, which many single-user desktops need) ]
Comment 37 Ray Todd Stevens 2009-04-28 08:31:58 EDT
I do find it interesting that when you look at the gdm web site that they will be developing the old functionality "soon" and that they need developers to do it, and that pretty much the status has been static for over a year.   This product seems to have become basically an orphan.   Is there even any development being done on it.

Certainly development of adding back in the feature set it used to have is definitely not happening.   

We really need an organized way to use the 2.20 branch of the product for a considerable time in the future.   This maybe even should become the standard in fedora instead of what is being used.   If it is not the standard it should be an option that is then fully supported and tested within the system.
Comment 38 Jan "Yenya" Kasprzak 2009-04-28 11:14:37 EDT
I have browsed a SVN repo a bit, there has been _some_ development, but they clearly state 2.20 should be considered _the_ stable release, until the new one has the full feature set. So I would vote for nuking the gdm > 2.20 off Fedora and using 2.20 by default, as even the gdm developers suggest.
Comment 39 Adam Pribyl 2009-04-28 11:29:58 EDT
I agree the gdm status now is not good, but as far as I understand, the new gdm implements some stuff that the old one is not able to do - like integration with some of the Kits, power management and one of the F11 features GDM with PAM... I am not sure this is that easy to replace it with 2.20 in every situation now, when it's already from F9 in there.
Comment 40 Ray Todd Stevens 2009-04-28 11:51:01 EDT
Certainly we need a gdm--- 2.20.fc11 to make this work, but frankly I think this should be seriously thought about by the people in charge of the fedora distribution.
Comment 41 Ray Todd Stevens 2009-04-28 12:15:40 EDT
Now as far as the new version this bug has become a bit of a generic bitch session about the new one with a lot of "it doesn't work for me" with very few specifics.   Lets get back to the bug level of discussion, as implementation of the new version frankly for me is a bug.   But to do this we need to be specific and I will try and take a bit of the lead here.

There are two problems I have here.

First the ability to cross manage servers is an issue.   That is to be at the login screen for one server, and to press the F10 and bring up management for another server that has been setup for this is a very convenient function in our environment, and is almost necessary for some systems.   This would be my highest priority to bring back.   I would even find having a user I could login as that then allows this as the only option to be a reasonable alternative.   It might be a better alternative than the simple popup.

Along with this one is that losing the login configuration screen lost us the ability to GUI modify if remote management was active for a server, and programming who might manage it.   It sure would be nice to get this back.

Second is the themes.   Now this is two subissues for me.   One of which I can work around, but frankly someone should simply make the work around a more well documented function with a bit better support. The other issue seems to have no real work around, is maybe less important, but is a bit annoying.

The first subissue is the background of the login screen.   This would seem to be a straight forward fix, as there is already a weird but workable work around.   If you go into preferences and change the default session background this changes the login background.   What we do with this is that all of our servers have names that are either persons or things.   Now the KVM system has indicators as to which server you are on, but things can happen to make the KVM wrong, and other issues, so we also have the login page picture be a picture of whatever the name of the server is.   It saves errors.   The fix here for the time being would be to have the preferences thing a bit better documented.   I would start by taking and changing the label on the box from "make default" to something like "make default and login screen"   Or better yet find a way to split these tow functions and have two buttons here.   The first should be trivial, the second maybe pretty easy.

The other more intractable subissue is full themes.   These are really nice, but to some extent optional.   However, we need two login control programs.   One like the one we have, which could be the default for more neophyte users.  But the second with the old behavior of requiring you to enter a login name AND password.   Now most themes did this, but did it in programable areas related to their graphics.  Cool but not absolutely required.   How about just a second way that does not list user names and requires an entry.

There currently is a way to disable the  user list, but then you still have to click on "other".  Maybe a meeting in the middle would be to have a utility to turn on the "don't list users" mode, and at the same time change the "other" to "start login" so that it is more apparent what you are doing, and less of a patch type thing, since it is apparent we will be stuck with this seriously nonfunctional version for some time to come.

OK I have given my specifics,  Anyone want to agree or disagree, and say where their specific problems are?
Comment 42 Ray Todd Stevens 2009-05-25 11:20:37 EDT
We really need to back off the gdm version.   Check out this statement from the gdm people.

GDM Rewrite

A rewrite of GDM is underway. On 15 October 2007, the new design replaced the existing SVN trunk.

At the moment, this rewrite provides a functional login program, but is missing some features which are in the last stable (2.20) branch. It would be great if more people could get involved to help complete the rewrite.

The existing stable branch will continue to be maintained with bug fixes until the rewrite is ready. Apologies for any inconveniences this causes while we are working on this rewrite.

See /NewDesign for details. 

I suspect that it is to late for this version, but can we have one of the "features" added to the fc12 branch be to go back to the version 2.20 branch.
Comment 43 Red Crayon 2009-05-31 19:10:21 EDT
I second comment #42.  Let's just downgrade gdm till
it's ready for prime time.  

Also, can someone please point me to the most up-do-date
and/or definitive place to look for instructions on how
to short-circuit the listing of all the login possibilites
on the greeter screen.

Or, post them here if they are short enough?

This is the core issue for me at this point --- I don't
want all the login possibilities to be displayed on
the greeter screen.  I just want "USERNAME:     "

I have seen various references to the workaround, but 
a pointer would be appreciated.  I will be installing
FC12 soon and I would like to know the SotA on this 
workaround.  Thanks!

Lastly: to Red Hat. You like this better?  Seriously?
SERIOUSLY?
Comment 44 Ray Todd Stevens 2009-05-31 19:34:17 EDT
The work around doesn't really allow for the username thing.   Basically it eliminates all of the usernames and requires you to click the "other" option for every login.

Yeah I really have to question if this is really a "better"  option.
Comment 45 Ian Collier 2009-05-31 19:55:33 EDT
> instructions on how to short-circuit the listing of all the login possibilites
> on the greeter screen.

Comment 21 of this bug.  The effect on Fedora 10 of this workaround is to remove the list of users and preselect the 'Other' option.  I've not found that you have to click 'Other' for every login.  However, you do have to press 'Cancel' in order to make the shutdown button visible.  And if you've pressed 'Cancel' then you do have to click 'Other' to log in.
Comment 46 Red Crayon 2009-05-31 20:21:11 EDT
Thanks for your response, but comment 21 provides
3 lines of code without much more explanation.  To 
exactly which file(s) are these appended?

I'm looking for something an idiot could figure out.
Comment 47 Ian Collier 2009-06-01 16:37:27 EDT
Open a terminal, su to root (I generally use "su -" to make sure paths are set up correctly), type the two commands into your terminal (the second lot should be all on one line, pay no attention to the linebreak between --set and /apps but do put a space there), log out and that should be it.
Comment 48 Red Crayon 2009-06-01 18:02:27 EDT
Great.  Thanks.

So, basically, "Run those at 
the command line, as root"

I guess I was assuming that a
config file needed to be modified,
permanently.

Anyway, thanks again.

I trust that appropriate mods
for F12 will be posted here
if applicable.

Thx.
Comment 49 Ray Todd Stevens 2009-06-02 12:52:05 EDT
The real solution here is to go back to the stable version of the gdm software until they get this stuff worked out.  How does one lobby to get this included as a feature in FC12?
Comment 50 Bug Zapper 2009-06-09 05:27:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 51 Red Crayon 2009-06-15 03:46:44 EDT
Does the workaround in comment 21 have any known adverse
effects on fingerprint login?

I have fingerprint logins enabled in F11.  I can successfully
clear the screensaver using my fingerprint, but I cannot seem
to actually login using my fingerprint.

It is not a reader issue -- I can clear the screensaver just
fine.

I did not try it before running the workaround in comment 21.
(Which works, by the way.)

Are there known issues?  How would I revert to default 
(i.e. undo the workaround in comment 21)?  (And, can I
re-implement it again?)

Thanks.
Comment 52 stef 2009-06-16 05:00:30 EDT
FC11 final here

I agree with comment #22, since we used the command from comment #21 the user list is not showed just as expected, but it should then revert to a behavior like it just show the "Username" field and don't show the "Other" button (feels more like a text field than a button though)

On a second note, it happens on reboot that the GDM greater is blocked, with only the "Other" button (clickeable but without any effect), and the "cancel" button.
You have to click on "Cancel" to be able to have a normal GDM greeter.
Comment 53 Ian Collier 2009-06-16 05:17:23 EDT
I'm sorry I don't know anything about fingerprint readers, but if you want to reverse the workaround just execute the same thing again but with FALSE instead of TRUE at the end.
Comment 54 stef 2009-06-30 05:56:43 EDT
any news on the problem reported in Comment #52 ?
Comment 55 Ray Todd Stevens 2009-06-30 09:20:01 EDT
There doesn't seem to be much movement or news on any of this.
Comment 56 Valdis Kletnieks 2009-06-30 12:10:11 EDT
GDM 2.26 is in Rawhide now.. Anybody else think it's time to fork into gdm-justworks and gdm-THG? I mean, we've pushed *3 entire releases* out the door with this bustification and AFAICT no real resolution in sight.
Comment 57 Adam Pribyl 2009-06-30 14:00:24 EDT
IMHO it would be better to go a improve the existing GDM upstream. The new GDM is not all bad and is bringing some features that old GDM can not. If nothing anybody can build their version of old GDM and put it public.
Comment 58 Ray Todd Stevens 2009-06-30 15:27:25 EDT
It seems like the new one has broken so many things, and frankly there appears to be zero progress to fix any of the problems.   There also seems to be no real reason to use the new one other than that it is "new".   I say include the old one as the standard in fedora, give people the option to use the new one if they want to listing it as test software.   Then in a decade or two when they actually have the new one working somewhat as well as the old one we switch over.

Can't we please have the old one back for the next release!!!!!!!!
Comment 59 Jan "Yenya" Kasprzak 2009-06-30 15:33:32 EDT
I agree with comment #58. Kicking the gdm-2.26 out of the default Fedora install and using 2.20 as the default would at least provide some motivation to GDM developers to fix the issues many users have with this branch. So far there has been exactly _zero_ communication about this issue from the developers, and they did not even show any intent to fix the real-world usage problems with their product.
Comment 60 Tim 2009-07-01 00:02:09 EDT
For what it's worth, just adding another voice of disappointment that this issue, which we've been talking about for so long, is not fixed. Indeed, per Comment #52, the login screen support just keeps getting worse. It mystifies me how the login screen, of all things, could be so broken. It's not like it's some obscure, rarely-used application feature.
Comment 61 Ray Todd Stevens 2009-07-01 09:35:06 EDT
It mystifies me why anyone thought that this new version was acceptable.  I just checked the web site for gdm and they have even removed all references to fixing these problems.   The do seem to have plan for programming on this, but the plans until at least 2013 seem to be all adding new things to it, and not actually having any actions to make it actually work.   We definitely need the 2.20 version of gdm back as the standard and to keep it take way until the new version is actually a working concept.

This thing is so bad that Microsoft would not even call it a beta.
Comment 62 Chris Abajian 2009-07-02 18:45:51 EDT
My additional $0.02:  this is really is a stunner.  After a day or two reading the various threads I'm suprised that Fedora continues to release with the 'new' gdm.  It's broken, and the project clearly doesn't have the horsepower to fix it.  It's gone on for years.  IMHO Gnome is putting its resources into eye candy and me-too features.  Bad mistake.

This one is such a prominent screwup that it's hurting the distro (just read the threads if you doubt this).  On account of this and several other problems (none of which seem to be getting fixed) the institute I work at has finally decided to drop Fedora.  I'm sad, 'cause I've been a 'loyal' Fedora fan since they started.

Sorry to jump on and add to the hurt, but this is inexcusable.
Comment 63 Red Crayon 2009-07-30 17:42:09 EDT
I mean COME ON fedora!  How can you ship
with this broken crap?  I came THIS CLOSE
to switching distros when F11 came out.

Your stubborn refusal to fix this is costing
you users.  This is fucking bullshit!!  Fix
this buggy horsecrap.  I have never seen such
bullcrap. 

I mean, a fucking broken logon screen?  WTF?

What.  The.  Fuck.  Is WRONG with you people?
Comment 64 Ray Todd Stevens 2009-07-30 20:41:15 EDT
Not sure that the language in comment 63 is appropriate, but the sentiment certainly is dead on.

I have yet to figure out why fedora is not backing off of the gdm update.   Heck even the gdm site itself recommends this for anyone who is doing any of the things not supported in the update, or who is distributing to a general audience.   It would be nice for someone from redhat to explain exactly what is going on here and why this is in the current release.
Comment 65 Ray Todd Stevens 2009-07-30 20:44:39 EDT
It would be interesting to see what bug 513462 is all about.   Apparently it is security sensitive or something so is restricted.  I would guess that this means that this bug is actually getting bad enough to break the security of the system too.

It is time someone addressed this.

This is especially true since the last estimate for a fix out of the gdm people is SEVERAL YEARS out.   Lets go back to the stable supported version.
Comment 66 John Griffiths 2009-07-31 09:56:51 EDT
I recommend switching to KDE. The KDE login works as it should and the desktop is at least as nice, my opinion better, than GDM.

Use  system-switch-displaymanager.
Comment 67 Jeremy Huddleston 2009-07-31 16:06:24 EDT
You don't need to switch to KDE just to use KDM.  You can still use KDM and choose gnome as your WM.
Comment 68 John Griffiths 2009-07-31 16:29:24 EDT
That is true. But the too says you are switching to KDE. KDM gives a list of ALL the window managers that are available and keeps track of which one each user used last or prefers. And you can turn off the list of users and it still works as expected.

[sarcasm]Wow, didn't GDM do that once upon a time? Why I think it did.[/sarcasm]
Comment 69 Neal Pape 2009-08-06 19:24:41 EDT
For Fedora 9, I was able to work around the problem by:
1) Remove the gdm rpms that were delivered with Fedora 9
2) Install the gdm-2.20.5-3.fc8.src.rpm from Fedora 8 onto Fedora 9, and then recompile the rpm for Fedora 9

I am trying the same procedure on Fedora 11, but I am receiving the following error from 'rpmbuild -bb gdm.spec'

+ echo 'Patch #4 (gdm-2.13.0.4-update-switchdesk-location.patch):'
Patch #4 (gdm-2.13.0.4-update-switchdesk-location.patch):
+ /bin/cat /root/rpmbuild/SOURCES/gdm-2.13.0.4-update-switchdesk-location.patch
+ /usr/bin/patch -s -p1 -b --suffix .update-switchdesk-location --fuzz=0
1 out of 1 hunk FAILED -- saving rejects to file gui/gdmsession.c.rej
error: Bad exit status from /var/tmp/rpm-tmp.DufMuI (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.DufMuI (%prep)


I took the gdm-2.20.5 rpm built for Fedora 9 and installed it on Fedora 11.  It seems to work so far, but I haven't tested it thoroughly yet.
Comment 70 stef 2009-08-07 06:02:17 EDT
I think the problem discussed here (in particular the last entries that point to the to-be state-of-the-art FC11) lacks attention from the people concerned at Fedora...

I mean GDM is the greater, it is the first thing your users will see and it is badly broken.

-It have a greyish look feels you're back in the 90's
-when pressing the power button pops a multiple choice window instead powering the system down
-the 'Other User' click button is alway displayed even when you configure your prefs to hide the user list, it should instead give immediately a text field to enter the login (see comments #21 #22 and #52)
-when configured as above the 'Other User' click button does not work, you have to press the Cancel button to have the window redrawn and click again on the 'Other User' click button ... confusing and inefficient

I think this bug should be escalated to severity high to have a decision being done fast by a maintainer.

Going back to a previous version of GDM is certainly not a easy decision to take but seeing the problems it seems the best step to do.

Oh, btw switching to KDM is a no-way solution for me.
Comment 71 Ray Todd Stevens 2009-08-07 08:58:50 EDT
I would have to disagree with the power button issue unless it works differently than it does for me.   For me pushing the power button does pop up a screen with the multiple choices, one of which is to abort the power down, BUT then it has a timed countdown and then at the end of the countdown (I think it is 30 seconds) the default "power down" option is selected and executed.  Now the nice power down that it does then takes a minute or two, so pushing the power button is not an instant power off, but that is not what very many of us would want from a power button.

Certainly this is not a bad move and way to deal with this.   I wish more operating systems did this.
Comment 72 Ray Todd Stevens 2009-08-07 09:01:24 EDT
I will point out that the current version of the stand on which verion of gdm is one should be using is spelled out on the gdm web site as:

GDM Rewrite

A rewrite of GDM is underway. On 15 October 2007, the new design replaced the existing SVN trunk.

At the moment, this rewrite provides a functional login program, but is missing some features which are in the last stable (2.20) branch. It would be great if more people could get involved to help complete the rewrite.

The existing stable branch will continue to be maintained with bug fixes until the rewrite is ready. Apologies for any inconveniences this causes while we are working on this rewrite.

See /NewDesign for details. 

I find that it is 2009 and this message was placed in 2007 and the system has not been fixed yet says a great deal.   I would almost consider this to at this point be an orphaned product.   Does that make Fedora and orphaned product?????
Comment 73 stef 2009-08-07 09:41:45 EDT
(In reply to comment #71)
> I would have to disagree with the power button issue unless it works
> differently than it does for me.   For me pushing the power button does pop up
> a screen with the multiple choices, one of which is to abort the power down,
> BUT then it has a timed countdown and then at the end of the countdown (I think
> it is 30 seconds) the default "power down" option is selected and executed. 

Okay you're right it's not a bad thing, I just wanted to point out the behavior different without notice than it did until now.
Comment 74 Ray Todd Stevens 2009-08-11 22:00:28 EDT
I have to really wonder about this product and if something needs to replace it.   Right now the only changes in the GDM site regarding the development of the new alpha level system which we are using for production since 2007 seem to be notes from the developers that there has been no progress.   This does not bode well for this key part of our technology.

Anyone have any better information on when a usable system will be produced out of this?
Comment 75 Chris Abajian 2009-08-12 13:03:13 EDT
I know a dead project when I see one, and this, lad, is a dead project.  The only reason it's sitting on the welcome screen is because it's been nailed there.  It's expired and gone to see it's maker.  This is an ex-project.

http://www.youtube.com/watch?v=Oj8RIEQH7zA

Maybe we should rename GDM to "Norwegian Blue."
Comment 76 Red Crayon 2009-08-18 16:47:12 EDT
My profane outburst (comment #63) had no response 
from Red Hat.

For reasons we have not seemed to divine, they are 
ignoring this bug.

When folks have a chance, some more detailed
pointers for switching to KDE would be much
appreciated.

The future of Fedora is scary.
Comment 77 Matthias Clasen 2009-10-31 19:15:01 EDT
*** Bug 474829 has been marked as a duplicate of this bug. ***
Comment 78 Ray Todd Stevens 2009-10-31 19:27:04 EDT
There seems to be no action at all being taken on this bug other than to use it as a dumping ground for more stuff to be ignored.   It was time that RedHat started paying more attention to this bug and started a plan to deal with the fact that GDM seems to have become an orphaned product.
Comment 79 Adam Pribyl 2009-11-03 15:26:57 EST
There is already some patch in GNOME upstream bug to add basic configuration GUI, maybe the package maintainer may try to add it to GDM.
Please also see https://bugzilla.gnome.org/show_bug.cgi?id=536355

For me another significant problem with new GDM appears and this is that multiseat is not possible with the this GDM. See e.g. https://fedoraproject.org/wiki/Features/Multiseat that was planed for F11 but is still blocked.
Comment 80 Jayson King 2009-11-18 06:50:46 EST
Lol.

If anyone would like a gdm-2.20.10 SRPM and/or x86_64 builds for F10, let me know. I have even re-based the Fedora patches for it from the F8 gdm-2.20.something, so it looks like a F8 setup. I meant to post this offer much sooner but I've unfortunately forgotten about it until now.
Comment 81 Jan "Yenya" Kasprzak 2009-11-18 07:03:02 EST
Still present in F12, please update the Version: tag of this bug :-(

Dear Fedora maintainers, please consider _upgrading_ gdm to gdm-2.20 from Fedora 8 (which AFAIK was the last configurable version of GDM) instead of sticking to this half-baked development-but-not-developed-anymore branch.

In my university, Fedora recently lost ~20 installations to another distro because of this (and other bugs like #447327 or #451562). The GDM login window is simply unusable with ~2200 local users.
Comment 82 Andrew McNabb 2009-11-19 11:37:46 EST
I'll just add my "me too": the new half-baked GDM has caused nothing but trouble.
Comment 83 Alex Lancaster 2009-11-20 02:39:43 EST
It looks like there is actually a patch upstream at:

https://bugzilla.gnome.org/show_bug.cgi?id=587750#c21

but it's been languishing for 2 months without so much of a single comment from a gdm developer. :(
Comment 84 Ray Todd Stevens 2009-11-20 10:44:26 EST
From what I can tell it has been about 2 years since anyone has actually really worked on this system.   That would tend to indicate an orphaned product to me.   I am wondering if RedHat should not be doing some advanced planning to switch to a different desktop manager, one which is still supported?
Comment 85 Ray Todd Stevens 2009-11-25 14:54:40 EST
This problem seems to be echoing into a lot of other systems.   I have already filed a couple of new bugs related to this problem.   When I get around to it I probably will be adding about 10-20 more than have something to do with this part also not working right.
Comment 86 Need Real Name 2009-11-25 16:43:55 EST
What is going on with Fedora development?
This bug and serious downgrade of functionality has been going on for the last 4 Fedora releases.

I could understand if a file slips from the first release. But why would you continue to make the same mistake of shipping a half-developed development version for 4 release over a total of 2 years. Especially, when the last stable version is purely functional.

It is boneheaded choices like this that cause people to leave Fedora for Ubuntu.

It's one thing to play around with some new experimental functionality in the name of pushing the envelope and with the theory that you are not losing anything and if you don't like it don't use it. But here we are talking about the *default* window manager.

At least make some effort to pretend you are being responsive to community needs... I mean the community has weighed in voting this to be highest priority. So divert some resources from the endless stream of eye candy packages or high end virtualization/clustering and get this bread-and-butter thing fixed
Comment 87 Need Real Name 2009-11-25 17:15:03 EST
And one more point... I don't think I saw even *one* official Rehat/Fedora response in the 2 year life of this bug thread.

What is the point of even posting bugzilla bugs if we can't even get a simple "status" response in 2 years. How hard would it be to give Fedora's answer and plans (even if we don't agree with it).

It's blindness like this to the user community that is making me come so close to just giving up on Fedora. Maybe one day somebody will write a Harvard Business School Case on how Fedora/Redhat went from the dominant distro to an also-run behind Ubuntu. Amazing given that Fedora had such a headstart and that they are both repackaging the same basic code.

HINT: Probably has something to do with listening to the customer base...
Comment 88 Alex Lancaster 2009-11-25 19:35:39 EST
It looks like there is some planned work here, look for gdm under "scope" and other places:

https://fedoraproject.org/wiki/Features/UserAccountDialog

The main issue is an upstream one:

http://bugzilla.gnome.org/show_bug.cgi?id=587750

and although gdm 2.2 is still listed as "stable", I think it is has really been abandoned and only the "NewDesign" is actually still being developed:

http://live.gnome.org/GDM/NewDesign

However, I agree it would be nice if the primary maintainer for this package in Fedora would weigh in and more precisely define the status of the project.
Comment 89 Ray Todd Stevens 2009-11-25 22:06:33 EST
Alex the problem is that this scope is data from back in 2007.   That is when the last work on the "NewDesign" appears to have happened.   Basically we have two years of nothing happening.  

The User Accounting thing is peripheral to the issues here.

The reality is that this is not just that the system to manage these customized changes is missing.   All of the support for these customizations or really any real world use of the interface is missing.   At the current apparent speed of development it would be the year 2100 or longer before we seen the next version, and that next version is only supposed to fix a few of these issues.  

Right now redhat is doing thing and that appears to be their plan for the forseeable future.
Comment 90 Alex Lancaster 2009-11-26 05:34:46 EST
(In reply to comment #89)
> Alex the problem is that this scope is data from back in 2007.   That is when
> the last work on the "NewDesign" appears to have happened.   Basically we have
> two years of nothing happening.  

Yes, I'm aware of that info being stale, it does appear that gdm upstream has checked out of at least updating their own webpages (although I think there are regular checkins)

> The User Accounting thing is peripheral to the issues here.

Not really, because if folks are serious about implementing the feature fully implemented then resources may be tasked for it. 

> The reality is that this is not just that the system to manage these customized
> changes is missing.   All of the support for these customizations or really any
> real world use of the interface is missing.   At the current apparent speed of
> development it would be the year 2100 or longer before we seen the next
> version, and that next version is only supposed to fix a few of these issues.  

> Right now redhat is doing thing and that appears to be their plan for the
> forseeable future.  

I don't disagree with you that there are a lot of things missing from gdm configuration that shouldn't be, but I wouldn't put all the blame on "redhat" (sic).  It's upstream gdm's fault mainly.   

I guess you can fault the gdm maintainers decision to go with the unstable "newdesign" before it's prime (I do note that Ubuntu still seems to have stayed with 2.20 gdm even on the most recent releases), who just happened to be a Red Hat employee.

If the current maintainer doesn't respond and you feel really strongly about this, I would take this to the fedora-devel-list and/or petition FESCo to possibly downgrade to the older gdm.
Comment 91 Need Real Name 2009-12-06 23:39:23 EST
I personally think that the blame is now *100%* the fault of Fedora (and I don't mean this in a disparaging way) because it has now been clear for almost 2 years that:

1. The current version represents a significant downgrade in functionality from previous versions

2. Nothing has been done to rectify this either upstream or at Fedora for almost 2 years.

3. There does not seem to be much chance that anything will be done in the forseeable future to restore the missing functionality.

4. Neither Fedora nor Upstream has communicated any compelling reason for foregoing the previous functional and stable version for the current dysfunctional version.

5. Fedora has not communicated any compelling reason for not adopting the simple solution of just regressing to the previous version.

Heck, I'm all for the latest-and-greatest, but if the latest-and-greatest ain't so great, then by all means let's stick to what we know works!

Again, I'm trying to be constructive here rather than just playing the blame game. I really think we need to push Fedora and maybe upstream too to provide a satisfactory explanation for why we remain stuck in this situation now for almost 2 years and why we can't just go back to what worked.
Comment 92 Jan "Yenya" Kasprzak 2009-12-07 04:07:31 EST
I have just sent the following e-mail to extras-qa (which is th QA contact for this bug). I will wait for a response, and in case nothing happens, we should discuss it with FeSCo.

---------
Subject: Please upgrade to the gdm-2.20 (bz #433649)

       Dear Fedora Extras QA team,

please take a few minutes and look at the bug #433649, and probably
other gdm bugs, like #451562, or #447327 (extras-qa@fp.o is the QA
contact for this bug, so that's why I am writing to you).

        To sum it up, the gdm package has been broken since Fedora 9
for anything beyond a simple single-user workstation use case. It cannot
be used with thousands of users in /etc/passwd, it cannot be
used in a multi-seat desktop, it cannot be used in a headless XDMCP-only
configuration.

        The upstream is pretty dead and not willing to solve these problems,
and there has been no reaction from the person the bug #433649 has been
assigned to or other Red Hat/Fedora people for almost two years.

        There is a simple solution - _upgrade_ to the proven, working,
and configurable release 2.20. There are Fedora 8 packages forward-ported
to F10 mentioned in the comment #80, they can probably be ported
to F12/F13 easily.

        Our university has recently stopped using Fedora in the computer
labs, because of gdm being really unusable for our setup.

        The actions I would kindly like to ask you to take are:

- reassign the bug #433649 to some other person, who can provide at least
        _some_ response in two years.

- add the #433649 to the blocker list for F13.

- probably also reassign the whole gdm package to a new maintainer,
        who would not ignore its bugs.

        What I would like you _not_ to do is

- to believe anybody who will try to say that the requested features
        are "soon to be implemented". Two years are a really long time.

        Thanks for your time,

-Jan Kasprzak (Red Hat Linux/Fedora user since RH 3.0.3).
Comment 93 Andrew McNabb 2009-12-07 11:03:35 EST
I don't agree with the tone of the last few comments, but I would agree that GDM has been in a very unfortunate state for a very long time.
Comment 94 Frank Ch. Eigler 2009-12-07 11:33:55 EST
Perhaps address this via the "orphanage" route:
http://fedoraproject.org/wiki/PackageMaintainers/OrphanedPackages
Comment 95 Ray Strode [halfline] 2009-12-07 11:56:31 EST
Hi Jan,

I think you may be misunderstanding the current state of affairs with GDM development, so I just want to clarify.

GDM is currently under active development, with 3 active upstream maintainers.  Two of those maintainers work for Red Hat and one works for Sun Microsystems.  It also has several regular contributors that work for Red Hat, Sun, and Novell.

After 2.20, GDM was rewritten for a number of reasons. I'm not going to go into all those reasons here, but one of the bigs ones was to make GDM leverage standard system components instead of having reimplementations of everything.  So for instance, GDM uses the standard settings daemon, and can run standard notification area icons.  It uses standard widgets that interact properly with the standard a11y framework, etc.

On the a11y front, we also worked to make the UI the same between the login screen and the logged in session.  We have one "Universal Access" icon that users can access in the same way whether at the login screen or logged in.  Willie Walker is working on polishing that experience more, even now.  See:

http://live.gnome.org/Accessibility/PreferencesRework

Because we use the same settings-daemon in session and at the login screen, we can do the kind of integration mentioned earlier between the background capplet and the login screen.

The idea is we don't want GDM to be a distinct application.  It's supposed to be _integrated_ with the OS.  It's just another part of the OS, not some distinct program.

That's why gdmsetup hasn't been revived wholesale.  We don't want the old gdmsetup back.  We want the various pieces of configuration to be at the places where they make sense instead of in one central UI.

Now, a number of unexposed options make sense exposed in a User Account dialog that doesn't exist yet.  For instance, auto login would go there.  Also, maybe what users show up at the login screen.

This dialog has been something we've wanted to do for a very long time.  Desktop team has had people start on it at various times before, but every time before now has been a false start. Some times it's just been because of a shift in priorities and other times it's been because people have left the company  (once someone who was going to work on it joined the peace corp instead!  I think he made the more noble choice)

Having said that, it's slated to be an F13 feature.  See:

 http://www.fedoraproject.org/wiki/Features/UserAccountDialog

Note, some of the points you bring up in comment 92 aren't right.  The latest GDM does work in multi-user network setups.  In fact, it works a lot better than 2.20 did.  GDM 2.20 would iterate over every user in nsswitch until timing out.  Now we only iterate over local users, and remote users who have log in frequently (as determined by ck-history --frequent).  

There is an assumption that /etc/passwd is made up of *local* users.  That's really not an unreasonable assumption to make.  I'll grant that there are some installations that break that assumption by rsyncing /etc/passwd around instead of configuring NIS or LDAP.  We could probably work better in those cases.

Note GDM can be configured to serve XDMCP.  What it can't do is XDMCP ONLY.  Right now, you'll always have a local login screen if you turn on XDMCP.  That may be frustrating, but in the grand scheme of things, it's not a critical bug.

Still, that type of configuration and general multi-seat support for thin client like installations is being fixed upstream.  See:

http://lists.freedesktop.org/archives/consolekit/2009-June/000000.html

Halton (from Sun) and I both have put a lot of work into that branch.  That code is slated to land in 2.30.

Look, both Fedora and GNOME are great, thriving projects.  We all are putting a ton of effort into making these projects be as good as they can be.  No release is perfect, but on the whole we're making strides in the right general direction.

I fully acknowledge that GDM 2.20 worked better in some scenarios than 2.22 did.  And to an increasingly lesser extent 2.24, 2.26, and 2.28.  2.22 solved a quite a few problems 2.20 had, though.

Making an operating system is like baking a cake.  You have to break a few eggs and mix things up a bit, before you get a finished product.

Everyone here has good intentions, and we're all working toward a commmon end goal of producing a great operating system.  And everyone has priorities that they maintain.  

2 years is not that long in the software development world.  It may seem like a long time because Fedora has such an aggressive release strategy.  That strategy is a double edged sword.  We get new technology to users quickly, but necessarily some bits aren't going to be fully fleshed out.  That doesn't mean we hold back and don't put those bits in until they're 100% done and 100% "regression" free.  It means we put them in when they're good enough for the common use cases and the technology is ready to be show cased.  It's just how the development model works.

Anyway, if you hang tight I'm sure we'll eventually get something that meets your needs and that you're happy with.
Comment 96 Ray Strode [halfline] 2009-12-07 12:05:18 EST
Also, guys, I think this bug is a little too long and noisy to be useful for tracking issues at this point.

I *think* most of the individual issues brought up here are already been tracked in other reports upstream and in other bugs here on bugzilla.redhat.com.

If there are specific issues that aren't tracked though, I'd appreciate them on new bug reports.

I'm going to close this report out, just to keep things orderly.

General discussions should probably happen on the upstream gdm-list.  Fedora specific discussions about gdm should probably happen on fedora-desktop list.

Thanks, guys, and sorry for any frustrations you're experiencing.
Comment 97 Ray Strode [halfline] 2009-12-07 12:18:01 EST
Also, guys, I wouldn't be opposed to throwing a gdm220 type compat package up temporarily for those who really need something 2.20 offers that 2.28 doesn't.

If I did that, would someone co-maintain the package with me?
Comment 98 Didier 2009-12-07 13:32:06 EST
Ray, not wanting to add additional noise to an already broad BZ (hey, I was striving for comm. 100), but nevertheless I'd like to say 'thank you' for your extensive (although a bit overdue) clarification : this is a fine example of what makes Open Source so worthwhile.
Comment 99 Ray Todd Stevens 2009-12-07 15:06:50 EST
Ray:

One thing that might be very handy would be to have a list of the bug reports you are referring to so that we could follow and participate in the ones which apply to us.   A quick search (but I admit not very though) seems to find several bug reports for the issues that apply to me, but they seem to be all "closed duplicate" with a pointer back to this bug.

From your comments it might be that part of this is that for the time being we may need to do a lot of manual text file editing.   If this is the case how about replacing the option on the menu with at least a link to documentation on how to make the changes we need.

It also might help if some actually did a status update on the gdm web page.

I will go on to be more specific on what features from 2.20

Most of what I am missing relates to the ability to have various what I guess you would call today "skins" for the login page.  This is where I got several of the feature that I actually used.   

For one thing I never want a user list displayed.  I don't know why it is a problem to require a user to know their user id in addition password.   Certainly this is a more logical way to do things in our local environment.

Something that went with these skins was the ability to have different pages for different systems.   When you are using a kvm switch it is easy to get confused on this issue.   By having the login page for wach server look different and to be related to the name of the server it is harder to accidentally log into the wrong server.  This is won where I think a bit of documentation is the issue.   I have at times kind of made this happen.   It has something to do with modifying the logged in profiles, but only some times.   Frankly I have tried to find how this now works and have been totally unsuccessful.   I bet there is some internal documentation on this somewhere.   I would be willing if I could be pointed to this documentation to undertake the task of organizing it into a user's guide of how to do this.

The other function that I miss is the XDMCP functions.   Again with multiple servers in multiple locations this is very much a needed function.   Originally you could from the login screen bring up any other server in the XDMCP group you had defined.  All of this could be done from the gdmsetup GUI.

It now appears that you have to login to do XDMCP management of another server.   Hey actually if this were to be documented as such I think this could even be called a feature not a bug.   But presently the documentation I can find on the issue is extremely limited.   I did find one document that claimed to be documentation on how to do this with 2.24, but in fact was simply a repeat of the 2.20 stuff and was an explanation of how to use gdmsetup to actually do this, and then how to check your 2.20 version files for the correct changes.   Again if someone could point me to a good source of documentation or examples on how to reliably do this I would be willing to undertake doing the documentation of the new system for this.   But right now the documentation seems to be noticeable by its absence.

Right now I have tried with very limited success and with even more limited documentation that seems to apply to the new version to establish the ability to use XDMCP to login to servers.   If I have the ability established I can get it done with my existing servers that support it, but getting the system to work doesn't seem to be working.   Again I suspect that part of the problem is that most of the documentation and instructions I can find including on the redhat site are on how to do this under 2.20 and previous.   If someone has the right information to actually do this successfully I would be willing to work out the organization of it into a single documentation set.

Now it was kind of cool that under the skin thing you could add your own login prompts and fields.   You could also more them where you wanted on the screen.   But I see this as optional.   Others might need this though and could explain what they do with it.

Bottom line as I see it is if there indeed is actual development going on with regards to this package, then maybe documentation of that fact would be great.   Also you seem to indicate that some of the more common complaints here actually have been fixed, but that you until these are implemented into the new management system will have to be manually implemented.   Any such fixes in place should be documented so that we can start using them.   As I see it that is part of the reason for fedora is to have a big community using the product so that the things like Enterprise can ended up only have very well tested material in them.
Comment 100 Mikel Ward 2009-12-08 17:58:09 EST
"On the a11y front, we also worked to make the UI the same between the login
screen and the logged in session.  We have one "Universal Access" icon that
users can access in the same way whether at the login screen or logged in."

That aspect is really cool.  I changed to Dvorak and enabled sticky keys last week, and gdm handles that well.

Note You need to log in before you can comment on or make changes to this bug.